export declare enum Alignment {
    Left = "l",
    Center = "c",
    Right = "r"
}

export declare class Browser {
    private static _currentType;
    static current(): BrowserType;
    private static check;
}

export declare enum BrowserType {
    Chrome = "Google Chrome",
    Safari = "Apple Safari",
    Firefox = "Mozilla Firefox",
    IE = "Microsoft Internet Explorer",
    Edge = "Microsoft Edge",
    Opera = "Opera",
    Unknown = "Unknown Browser"
}

export declare function cssAlignmentFrom(alignment: Alignment): "start" | "center" | "end";

export declare function delay(ms: number): Promise<void>;

export declare enum SideHorizontal {
    Left = "Left",
    Right = "Right"
}

export declare enum SideVertical {
    Top = "Top",
    Bottom = "Bottom"
}

declare class Storage_2 {
    private readonly prefix;
    constructor(type?: string);
    get<T>(key: string, defaultValue?: T): T | undefined;
    set<T>(key: string, value: T): void;
    remove(key: string): void;
    clear(): void;
    private getKey;
}
export { Storage_2 as Storage }

export declare class Unique {
    static string(): string;
    static numberInRange(min: number, max: number): number;
    static shortestString(existingStrings: string[]): string;
    static shortestNumber(existingNumbers: number[]): number;
}

export { }
