import {BrowserType} from "./BrowserType";

export default class Browser {
    
    private static _currentType: BrowserType | null = null
    
    static current() : BrowserType {
        if (this._currentType) {
            return this._currentType
        }
        this._currentType = this.check()
        return this._currentType
    }
    
    private static check() : BrowserType {
        const userAgent = navigator.userAgent;
        if (userAgent.indexOf('Chrome') > -1) {
            return BrowserType.Chrome;
        } else if (userAgent.indexOf('Safari') > -1) {
            return BrowserType.Safari;
        } else if (userAgent.indexOf('Firefox') > -1) {
            return BrowserType.Firefox;
        } else if (userAgent.indexOf('MSIE') > -1 || userAgent.indexOf('Trident/') > -1) {
            return BrowserType.IE;
        } else if (userAgent.indexOf('Edge') > -1) {
            return BrowserType.Edge;
        } else if (userAgent.indexOf('Opera') > -1 || userAgent.indexOf('OPR/') > -1) {
            return BrowserType.Opera;
        } else {
            return BrowserType.Unknown;
        }
    }
    
}
